Skip to content
GET /unified/ci-cd/repos/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspacestring

The unique identifier for the workspace

3 supported3 required
Azure DevOps
required
Bitbucket
required
Buddy
required
ownerstring

The owner of the repository

1 supported1 required
GitHub
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the repository

8 supported
Azure DevOps
supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
Gerrit
supported
GitHub
supported
GitLab
supported
Travis CI
supported
created_atstring · date-time

The date and time when the repository was created

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
default_branchstring

The default branch of the repository

6 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
GitLab
supported
Travis CI
supported
descriptionstring

The description of the repository

4 supported
Bitbucket
supported
GitHub
supported
GitLab
supported
Travis CI
supported
namestring

The name of the repository

8 supported
Azure DevOps
supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
Gerrit
supported
GitHub
supported
GitLab
supported
Travis CI
supported
ownerstring

The owner of the repository

6 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
GitLab
supported
Travis CI
supported
owner_typestring

The type of the owner of the repository

Possible values:
userorg
6 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
GitHub
supported
GitLab
supported
Travis CI
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the repository

Possible values:
activeinactive
6 supported
Azure DevOps
supported
Buddy
supported
Gerrit
supported
GitHub
supported
GitLab
supported
Travis CI
supported
updated_atstring · date-time

The date and time when the repository was last updated

4 supported
Bitbucket
supported
GitHub
supported
GitLab
supported
Travis CI
supported
vcs_urlstring

The VCS URL of the repository

7 supported
Bitbucket
supported
Buddy
supported
CircleCI
supported
Gerrit
supported
GitHub
supported
GitLab
supported
Travis CI
supported
visibilitystring

The visibility of the repository

Possible values:
publicprivateinternal
5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
curl -X GET 'https://api.truto.one/unified/ci-cd/repos/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/repos/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ci-cd/repos/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ci-cd',
  'repos',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ci-cd",
        "repos",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())